Wiki Spaces

Documentation
Projects
Resources

Get Help from Others

Q&A: Ask OpenMRS
Discussion: OpenMRS Talk
Real-Time: IRC Chat | Slack

Documentation

Page tree
Skip to end of metadata
Go to start of metadata

Downloads

We encourage all OpenMRS users and developers to download the reporting module, use it frequently, create new tickets for bug fixes and feature requests, and provide feedback to dev@openmrs.org .

Requirements

OpenMRS 1.5.2 or higher

Required Modules

HTML Widgets 1.5.5
Serialization XStream 0.1.8.1

Recommended modules

Reporting Compatibility 1.5.0.3

Disclaimer

The Reporting Module uses the OpenMRS Serialization API to serialize/deserialize reporting objects to/from the database. One disadvantage of using the Serialization API is that it can lead to incompatibility issues (e.g. broken reports) if the API classes are changed in a certain way.

Therefore, we cannot guarantee that all reports that you create with the Reporting Module will continue to work in subsequent releases of the module. However, we will do our best to mitigate the risk and avoid compatibility issues, or provide means to upgrade/migrate your reports gracefully.

View, download or fork source code: on GitHub

Installation

To install the Reporting Module download the Reporting Module .omod (above), along with its dependencies (see box above) and upload them into your system.

Upgrade

To upgrade from Reporting Module 0.3.x:

  • Check to make sure that you have all of the Required Modules installed on your system.
  • Double-check to make sure that you have all of the Required Modules installed on your system.
  • Log into OpenMRS
  • Navigate to Admin > Manage Modules.
  • Click the trash icon next to Reporting 0.3.x to remove the module from your system.
  • Navigate to the newer omod on your system using the browse button and click Upload.

Privileges

In order for users to be able to run most reports, you need to put them in a group with the privileges:
(this is accurate as of 0.4.1.2)

  • View Reports
  • Run Reports
  • View Patient Cohorts
    • technically this is only required if you want to be able to run reports including cohorts of patients, which is basically all reports
  • (up until 0.4.1.1) Manage Scheduler
    To be able to edit and configure reports, you need:
    (this is accurate as of 0.4.1.3)
  • Manage Reports (this just enables you to see the menu items)
  • Manage Report Definitions
  • Manage Data Set Definitions
  • Manage Indicator Definitions
  • Manage Dimension Definitions
  • Manage Cohort Definitions
  • Manage Report Designs
    You also need to grant View privileges related to the base objects your reporting definitions use. For example you need "View Programs" to create and use an "In Program" Cohort Query
  • No labels